List Documents
curl --request GET \
--url https://api.contextual.ai/v1/extract/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contextual.ai/v1/extract/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contextual.ai/v1/extract/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"document_id": "<string>",
"file_name": "<string>",
"file_size": 123,
"page_count": 123,
"uploaded_at": "<string>",
"status": "<string>",
"signed_url": "<string>"
}
],
"total_count": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/extract
List Documents
List documents for structured extraction.
GET
/
extract
/
documents
List Documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response model for document listing.
List of documents
Show child attributes
Show child attributes
Total number of documents
Next cursor to continue pagination. Omitted if there are no more documents to retrieve.
Previous cursor to go back in pagination. Omitted if this is the first page.
Was this page helpful?
⌘I